CREATE TABLE hwm_tm_status_changes (
    TM_STATUS_CHANGE_ID        NUMBER(18, 0),
    TM_STATUS_CHANGE_REQ_ID    NUMBER(18, 0)    NOT NULL,
    TM_BLDG_BLK_ID             NUMBER(18, 0)    NOT NULL,
    TM_BLDG_BLK_VERSION        NUMBER(9, 0)     NOT NULL,
    CONSUMER_CODE              VARCHAR2(120)    NOT NULL,
    STATUS_CODE                VARCHAR2(160)    NOT NULL,
    STATUS_VALUE               VARCHAR2(120)    NOT NULL,
    PROCESS_STATUS             NUMBER(2, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID              NUMBER(18, 0)    NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    TM_STATUS_CHANGE_ID        NUMBER(18, 0),
    TM_STATUS_CHANGE_REQ_ID    NUMBER(18, 0)    NOT NULL,
    TM_BLDG_BLK_ID             NUMBER(18, 0)    NOT NULL,
    TM_BLDG_BLK_VERSION        NUMBER(9, 0)     NOT NULL,
    CONSUMER_CODE              VARCHAR2(120)    NOT NULL,
    STATUS_CODE                VARCHAR2(160)    NOT NULL,
    STATUS_VALUE               VARCHAR2(120)    NOT NULL,
    PROCESS_STATUS             NUMBER(2, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID              NUMBER(18, 0)    NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    CONSTRAINT pk_hwm_tm_status_changes PRIMARY KEY (TM_STATUS_CHANGE_ID, TM_STATUS_CHANGE_ID)
);
